SDL_GetHapticEffectStatus(3)

NAME
SDL_GetHapticEffectStatus - Get the status of the current effect on the specified haptic device.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

bool SDL_GetHapticEffectStatus(SDL_Haptic *haptic, SDL_HapticEffectID effect);

DESCRIPTION
Device must support the SDL_HAPTIC_STATUS feature.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic device to query for the effect status on.

effect
    the ID of the haptic effect to query its status.

RETURN VALUE
Returns true if it is playing, false if it isn't playing or haptic status isn't supported.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetHapticFeatures(3)